Skip to main content
POST
/
integration
/
field-mappings
/
create-and-retry
Create mapping and retry fulfillment
curl --request POST \
  --url https://{companyName}.api.joinluminous.com/external/api/v1/integration/field-mappings/create-and-retry \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "app_integration_account_id": 123,
  "field_name": "<string>",
  "luminous_value": "<string>",
  "external_value": "<string>",
  "sales_order_id": 123
}
'
{
  "data": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.joinluminous.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.

Body

application/json
app_integration_account_id
integer
required

Integration account ID

field_name
string
required

The field name to map

luminous_value
string
required

The Luminous-side value

external_value
string
required

The external system value

sales_order_id
integer

Sales order ID to retry fulfillment push for

Response

Successful response

data
object